lgTutorial.tutorials["header-controls"] = [
	{
		"target" 	: ".logaholiclogo.hidden-xs",
		"text"			: "Click here to go to the Control Panel.",
		"position"		: "T",
		"adjust_left"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: ".sidebar-toggle",
		"text"			: "Click here to toggle the sidebar.",
		"position"		: "T",
		"adjust_left"	: -10,
		"adjust_top"	: 5,	
		"time" 			: 3000
	},
	{
		"target" 	: ".dropdown.tasks-menu",
		"text"			: "Click here to see your top 10 profiles.",
		"position"		: "T",
		"adjust_left"	: -10,
		"adjust_top"	: 5,		
		"time" 			: 3000		
	},
	{
		"target" 	: ".btn.btn-sm.btn-success.view",
		"text"			: "Click here to view the dashboard of this profile.",
		"position"		: "T",
		"callback_before" : function(){
			$(".dropdown.tasks-menu .dropdown-toggle").click();
			$(".btn-group.pull-right").show();
		},
		"adjust_left"	: -10,
		"time" 			: 3000		
	},
	{
		"target" 	: ".btn.btn-sm.btn-success.edit",
		"text"			: "Click here to change all the settings for your profile.",
		"position"		: "T",
		"adjust_left"	: -10,
		"time" 			: 3000		
	},
	{
		"target" 	: ".btn.btn-sm.btn-success.update",
		"text"			: "Click here to import the most recent data of your website.",
		"position"		: "T",
		"adjust_left"	: -10,
		"time" 			: 3000		
	},
	{
		"target" 	: ".dropdown.tasks-menu .footer",
		"text"			: "Click here to manage all your profiles.",
		"position"		: "B",
		"callback_after" : function(){
			$(".dropdown.tasks-menu .dropdown-toggle").click();
		},	
		"adjust_left"	: -10,
		"adjust_top"	: -5,		
		"time" 			: 3000		
	},
	{
		"target" 	: ".dropdown.messages-menu",
		"text"			: "Click here to see your messages.",
		"position"		: "T",
		"adjust_left"	: -10,
		"adjust_top"	: -10,
		"time" 			: 3000
	},
	{
		"target" 	: ".dropdown.messages-menu .footer",
		"text"			: "Click here to see all news.",
		"position"		: "B",
		"adjust_left"	: -10,
		"adjust_top"	: -10,
		"callback_before" : function(){
			$(".dropdown.messages-menu .dropdown-toggle").click();
		},
		"callback_after" : function(){
			$(".dropdown.messages-menu .dropdown-toggle").click();
		},	
		"time" 			: 3000		
	},
	{
		"target" 	: ".dropdown.help-menu",
		"text"			: "Click here to see information.",
		"position"		: "T",
		"adjust_left"	: -10,
		"adjust_top"	: -10,
		"time" 			: 3000
	},
	{
		"target" 	: ".user-menu",
		"text"			: "Click here to see your user details.",
		"position"		: "TR",
		"callback_after" : function(){
			$(".fa.fa-user").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".user-body",
		"text"			: "Click here to change the language of your account.",
		"position"		: "B",
		"adjust_top"	: 10,
		"time" 			: 3000
	},
	{
		"target" 	: ".btn.btn-default.btn-flat.user-account-btn",
		"text"			: "Click here to go to the control panel.",
		"position"		: "BL",
		"adjust_top"	: -10,
		"time" 			: 3000
	},
	{
		"target" 	: ".btn.btn-default.btn-flat.logout-btn",
		"text"			: "Click here to log out.",
		"position"		: "BR",
		"adjust_left"	: -10,
		"adjust_top"	: -10,	
		"callback_after" : function(){
			$(".fa.fa-user").click();
		},
		"time" 			: 3000
	}
];

lgTutorial.tutorials["cp-profiles"] = [
	{
		"target" 	: "#main-menu .treeview:eq(0)",
		"text"			: "Click here to open the Profiles category.",
		"position"		: "BL",
		"callback_after" : function(){
			$(".treeview:not(.active) .categorie-name[data-cat='_PROFILES']").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report-name.menu-_CREATE_NEW_PROFILE",
		"text"			: "Click here to create a new profile.",
		"position"		: "L",
		"adjust_top"	: 20,
		"adjust_left"	: 15,
		"callback_after" : function(){
			$(".report-name.menu-_CREATE_NEW_PROFILE").click();
		},
		"time" 			: 3000
	}
];

lgTutorial.tutorials["create-profile"] = [
	{
		"target" 	: "#newconfname",
		"text"			: "Fill in your profile name.<br/>(no spaces or special characters allowed)",
		"position"		: "L",
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("#newconfname").val("example");
			$(".report-name.menu-_PROFILE_INFO").click();
		},
		"time" 			: 3000

	},
	{
		"target" 	: "#confdomain",
		"text"			: "Fill in your main domain name i.e. www.mydomain.com.",
		"position"		: "L",
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("#confdomain").val("www.example.com");
		},
		"time" 			: 3000
	},
	{
		"target" 	: "input[name='equivdomains']",
		"text"			: "Fill in any other domain names that may be used to access this same contents.",
		"position"		: "L",
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("input[name='equivdomains']").val("example.com, www.anotherexample.com, my.example.com");
		},
		"time" 			: 3000
	},
	{
		"target" 	: "select[name='activated']",
		"text"			: "Select if you want to activate this account.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: ".report-name.menu-_DATA_COLLECTION",
		"text"			: "Click here to change your Data Collection settings.",
		"position"		: "L",
		"adjust_top"	: 20,
		"adjust_left"	: 15,
		"callback_after" : function(){
			$(".report-name.menu-_DATA_COLLECTION").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: "select[name='trackermode']",
		"text"			: "Select the data collection method you want to use.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: "#recursive",
		"text"			: "Fill in the path to your webserver log file.",
		"position"		: "L",
		"adjust_left"	: 10,
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("#logfilefullpath").val("/home/mydomain/etc/access_log");
		},
		"time" 			: 3000
	},
	{
		"target" 	: "#splitfilter",
		"text"			: "Only files that match this field will be analyzed (Leave blank if all files need to be analyzed).",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: "#splitfilternegative",
		"text"			: "The files that match this field will not be analyzed (Leave blank if all files need to be analyzed).",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: "select[name='logparsertype']",
		"text"			: "Choose the type of your log parse.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: ".report-name.menu-_DATA_FILTERS",
		"text"			: "Click here to change your Data Filter settings.",
		"position"		: "L",
		"adjust_top"	: 20,
		"adjust_left"	: 15,
		"callback_after" : function(){
			$(".report-name.menu-_DATA_FILTERS").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: "#skipips",
		"text"			: "Fill in the ips you want to skip in the statistics.",
		"position"		: "L",
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("#skipips").val("212.204.250.12, 212.204.250.13");
		},
		"time" 			: 3000
	},
		{
		"target" 	: "#skipfiles",
		"text"			: "Fill in the filenames and filetypes that won't be included in in any reports.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: "select[name='caseinsensitiveurls']",
		"text"			: "Choose if urls will be case sensitive or not.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: "#urlparamfilter",
		"text"			: "This allows you to remove certain parameters from the urls in your statistics.",
		"position"		: "L",
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("#urlparamfilter").val("osCsid,lala, lala2");
		},
		"time" 			: 3000
	},
	{
		"target" 	: "#googleparams",
		"text"			: "Here you can enter the Google query string parameters you would like to track.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: ".report-name.menu-_VISITOR_IDENTIFICATION",
		"text"			: "Click here to change your Visitor Identification settings.",
		"position"		: "L",
		"adjust_top"	: 20,
		"adjust_left"	: 15,
		"callback_after" : function(){
			$(".report-name.menu-_VISITOR_IDENTIFICATION").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: "#visittimeout",
		"text"			: "Here you can enter the number of minutes before a visitor 'session' or 'visit' times out..",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: "select[name='visitoridentmethod']",
		"text"			: "This setting determines how Logaholic will identify a unique visitor.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 3000
	},
	{
		"target" 	: ".saveprofile",
		"text"			: "Click here to save your changes.",
		"position"		: "T",
		"adjust_left"	: -45,
		"callback_before" : function(){
			$(".saveprofile").show();
		},
		"callback_after" : function(){
			$(".saveprofile").hide();
			$("input[name='equivdomains']").val("");
			$("#confdomain").val("");
			$("#newconfname").val("");
			$("#logfilefullpath").val("");
			$("#skipips").val("");
		},
		"time" 			: 3000
	}
];

lgTutorial.tutorials["dashboard-controls"] = [
	{
		"target" 	: ".form-control.search_menu",
		"text"			: "Here you can search for reports.",
		"position"		: "L",
		"adjust_top"	: 20,
		"time" 			: 2000
	},
	{
		"target" 	: ".manage-dashs.btn.btn-flat",
		"text"			: "Click here to manage your dashboards.",
		"position"		: "T",
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".manage-dashs.btn.btn-flat").click();
			$(".modal-content .btn-group").show();
		},
		"time" 			: 2000
	},
	{
		"target" 	: "#widgetModal .modal-body",
		"text"			: "This is your dashboard overview.",
		"position"		: "T",
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: "#widgetModal tr:not(.template-row) .view-dash",
		"text"			: "Click here to open this dashboard.",
		"position"		: "T",
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: "#widgetModal tr:not(.template-row) .edit-dash",
		"text"			: "Click here to edit this dashboard.",
		"position"		: "T",
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: "#widgetModal tr:not(.template-row) .delete-dash",
		"text"			: "Click here to delete this dashboard.",
		"position"		: "T",
		"adjust_left"	: -10,
		"callback_after" : function(){
			$("#widgetModal .close").click();
		},
		"time" 			: 2000
	},
	{
		"target" 	: ".save-dashboard.btn.btn-flat",
		"text"			: "Click here to save your current dashboard.",
		"position"		: "T",
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: "#dashopt-datepicker",
		"text"			: "Click here to change your global date.",
		"position"		: "T",
		"adjust_top"	: 10,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$("#dashopt-datepicker").click();
		},
		"time" 			: 2000
	},
	{
		"target" 	: "input[name='daterangepicker_start']",
		"text"			: "Click here to fill in your start range.",
		"position"		: "B",
		"adjust_top"	: -20,
		"time" 			: 2000
	},
	{
		"target" 	: "input[name='daterangepicker_end']",
		"text"			: "Click here to fill in your end range.",
		"position"		: "B",
		"adjust_top"	: -20,
		"time" 			: 2000
	},
	{
		"target" 	: ".ranges",
		"text"			: "Click here to select a range.",
		"position"		: "B",
		"adjust_top"	: -20,
		"adjust_left"	: -15,
		"time" 			: 2000
	},
	{
		"target" 	: ".fa.fa-file-pdf-o",
		"text"			: "Click here to open PDF mode.",
		"position"		: "T",
		"adjust_top"	: 10,
		"adjust_left"	: -10,
		"callback_before" : function(){
			$("#dashopt-datepicker").click();			
		},
		"callback_after" : function(){
			$(".fa.fa-file-pdf-o").click();
			$(".wrapper.row-offcanvas.row-offcanvas-left").click();
		},
		"time" 			: 1000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options .print-form",
		"text"			: "Click here to download as a pdf.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -6,
		"time" 			: 2500
	},
	{
		"target" 	: " .content > .print-wrapper .print-options .fa.fa-print",
		"text"			: "Click here to directly print out the view.",
		"position"		: "T",
		"adjust_top"	: 15,
		"adjust_left"	: 25,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='A4']",
		"text"			: "Click here to change the print size to A4.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -6,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='letter']",
		"text"			: "Click here to change the print size to letter.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -6,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='bold']",
		"text"			: "Click here to change the styling to bold.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='italic']",
		"text"			: "Click here to change the styling to italic.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"time" 			: 2000
	},	
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='underline']",
		"text"			: "Click here to change the styling to underline.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[data-toggle='dropdown']",
		"text"			: "Click here to change the styles.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='undo']",
		"text"			: "Click here to undo changes.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: " .content > .print-wrapper .print-options button[value='redo']",
		"text"			: "Click here to redo changes.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"time" 			: 2000
	},
	{
		"target" 	: ".content > .print-wrapper .print-options .fa.fa-times",
		"text"			: "Click here to close PDF mode.",
		"position"		: "T",
		"adjust_top"	: 15,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".content > .print-wrapper .print-options .fa.fa-times").click();
		},
		"time" 			: 2000
	},
	{
		"target" 	: ".fa.fa-compress",
		"text"			: "Click here to minimize/maximize reports.",
		"position"		: "TR",
		"adjust_top"	: 15,
		"adjust_left"	: 12,
		"time" 			: 2000
	},
	{
		"target" 	: ".fa.fa-times",
		"text"			: "Click here to close your dashboard.",
		"position"		: "TR",
		"adjust_top"	: 16,
		"adjust_left"	: 13,
		"time" 			: 2000
	}
];


lgTutorial.tutorials["report-handling"] = [
	{
		"target" 	: "[name='reports-menu']",
		"text"			: "Click here to open a category.",
		"position"		: "L",
		"adjust_top"	: 20,
		"callback_before" : function(){
			$("#dashopt-close").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: "#main-menu .treeview:eq(1) li:eq(0)",
		"text"			: "Click here to open a report.",
		"position"		: "L",
		"adjust_top"	: 20,
		"adjust_left"	: -40,
		"callback_before" : function(){
			$("[name='reports-menu'] .fa.category-_VISITOR_TRENDS").click();
		},
		"callback_after" : function(){
			$("#main-menu .fa.fa-angle-double-right.menu-_VISITORS_PER_DAY").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report[label='_VISITORS_PER_DAY'] .report-options-toggle",
		"text"			: "Click here to change the report settings.",
		"position"		: "T",
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .report-options-toggle").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".pull-left.btn.btn-default.advanced-options-toggler",
		"text"			: "Click here to see the advanced settings.",
		"position"		: "T",
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".pull-left.btn.btn-default.advanced-options-toggler").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".btn.btn-primary.load-report",
		"text"			: "Click here to submit your changes.",
		"position"		: "T",
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report-options .close-options").click();
			$(".report[label='_VISITORS_PER_DAY'] .help").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report[label='_VISITORS_PER_DAY'] .help",
		"text"			: "Click here to see the help.",
		"position"		: "T",
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .help").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report[label='_VISITORS_PER_DAY'] .fa.fa-share",
		"text"			: "Click here to see all the data share options.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .fa.fa-share").click();
			$(".dropdown-menu.report-settings").show();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".btn-group.open .dropdown-menu.report-settings",
		"text"			: "Here are the different formats you can share in.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .fa.fa-share").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report[label='_VISITORS_PER_DAY'] .fa.fa-minus",
		"text"			: "Click here to minimize your report.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .fa.fa-minus").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report[label='_VISITORS_PER_DAY'] .fa.fa-plus",
		"text"			: "Click here to maximize your report.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .fa.fa-plus").click();
		},
		"time" 			: 3000
	},
	{
		"target" 	: ".report[label='_VISITORS_PER_DAY'] .fa.fa-times",
		"text"			: "Click here to close your report.",
		"position"		: "T",
		"adjust_top"	: 5,
		"adjust_left"	: -10,
		"callback_after" : function(){
			$(".report[label='_VISITORS_PER_DAY'] .fa.fa-times").click();
		},
		"time" 			: 3000
	}
];
